"{ Package: 'cvut:fel/cface' }"

LibraryDefinition subclass:#cvut_fel_cface
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!


!cvut_fel_cface class methodsFor:'description'!

preRequisites
    ^ #(
        #'stx:goodies/libtool3'    "Tools::HierarchicalChangesetDialog - referenced by ChangeSet>>inspector2TabChangesetBrowser "
        #'stx:goodies/smaCC'    "SmaCC::SmaCCParser - superclass of Cface::CDefinitionParser "
        #'stx:libbasic'    "Object - superclass of Cface::CDerivedTypeNode "
        #'stx:libbasic3'    "MethodDefinitionChange - referenced by Cface::SmalltalkXGenerator>>visitCStructFieldNode: "
    )

    "Modified: / 22-02-2009 / 22:37:56 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!cvut_fel_cface class methodsFor:'description - contents'!

classNamesAndAttributes
    ^ #(
        "<className> or (<className> attributes...) in load order"
        #'Cface::CDefinitionParser'
        #'Cface::CDefinitionScanner'
        #'Cface::CNode'
        #'Cface::CNodeVisitor'
        #'Cface::GeneratorCommand'
        #'Cface::Platform'
        #'Cface::TypeMapping'
        #'cvut_fel_cface'
        #'Cface::CDefinitionNode'
        #'Cface::CModifierNode'
        #'Cface::CNoNode'
        #'Cface::CairoMapping'
        #'Cface::GTKMapping'
        #'Cface::Generator'
        #'Cface::SVNMapping'
        #'Cface::SmalltalkX'
        #'Cface::TypeCollector'
        #'Cface::TypeMapper'
        #'Cface::TypeResolver'
        #'Cface::CArgumentNode'
        #'Cface::CConstNode'
        #'Cface::CDefinitionFileNode'
        #'Cface::CEnumValueNode'
        #'Cface::CFunctionNode'
        #'Cface::CLongNode'
        #'Cface::CShortNode'
        #'Cface::CStructFieldNode'
        #'Cface::CTypeNode'
        #'Cface::CUnsignedNode'
        #'Cface::SmalltalkXGenerator'
        #'Cface::CArrayNode'
        #'Cface::CBuiltinNode'
        #'Cface::CDerivedTypeNode'
        #'Cface::CPointerNode'
        #'Cface::CTypedefNode'
        #'Cface::CUserDefinedTypeNode'
        #'Cface::CCharNode'
        #'Cface::CDoubleNode'
        #'Cface::CEnumNode'
        #'Cface::CFloatNode'
        #'Cface::CFunctionTypeNode'
        #'Cface::CIntNode'
        #'Cface::CStructuredNode'
        #'Cface::CVoidNode'
        #'Cface::CWCharNode'
        #'Cface::CStructNode'
        #'Cface::CUnionNode'
    )

    "Modified: / 22-02-2009 / 22:37:55 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

extensionMethodNames
    ^ #(
        ChangeSet inspector2TabChangesetBrowser
        ClassDefinitionChange nameSpaceName:
    )

    "Modified: / 22-02-2009 / 22:37:55 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!cvut_fel_cface class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'CVUT FEL'

    "Created: / 08-09-2008 / 23:49:09 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

description
    "Return a description string which will appear in vc.def / bc.def"

    ^ 'Cairo graphics binding'

    "Created: / 08-09-2008 / 23:49:09 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright 2008 Jan Vrany'

    "Created: / 08-09-2008 / 23:49:09 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'CairoGraphics'

    "Created: / 08-09-2008 / 23:49:09 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!cvut_fel_cface class methodsFor:'documentation'!

version
    ^'$Id$'
! !
